#include "KissCount.h"

KissCount::KissCount()
{
  _wxUI = new wxUI(this, _("KissCount"), wxPoint(50, 50), wxSize(1024, 768));

  _wxUI->Show(true);
  _wxUI->Centre();
  _wxUI->Disable();

  try
    {
      _db = new Database();
    }
  catch (std::string s)
    {
      _wxUI->Close(true);
      throw s;
    }

  _wxUI->ChangeUser();
  _wxUI->Enable();
}

KissCount::~KissCount()
{
  delete _db;
  delete _wxUI;
}

std::list<wxString> KissCount::GetUsers()
{
  return _db->GetUsers();
}

bool KissCount::IsValidUser(wxString user, wxString password)
{
  return _db->IsValidUser(user, password) ;
}

void KissCount::LoadUser(wxString user)
{

}
