#ifndef KISSCOUNT_H
#define KISSCOUNT_H

#include <fstream>
#include <iostream>
#include <list>

#include <model/User.h>
#include <model/Account.h>
#include <model/Database.h>
#include <view/wxUI.h>

class wxUI;
class KissCount
{
 public:
  KissCount();
  ~KissCount();

  std::list<wxString> GetUsers();
  bool IsValidUser(wxString user, wxString password);
  void LoadUser(wxString user);
  
 private:
  wxUI* _wxUI;
  Database* _db;
};

#endif
