#include "AccountPanel.h"


AccountPanel::AccountPanel(KissCount* kiss, wxUI *parent) : wxPanel(&(*parent)), _kiss(kiss), _wxUI(parent), _tree(this, -1), _grid(this, -1)
{
      wxBoxSizer *hbox = new wxBoxSizer(wxHORIZONTAL);
      wxChartPanel* chart ;
      SetSizer(hbox);

      _pie = new PiePlot();
      _grid.CreateGrid(10, 7);

      chart = new wxChartPanel(this);
      chart->SetChart(new Chart(_pie, _("Cost repartition")));
      hbox->Add(&_tree, 0);
      hbox->Add(&_grid, 0);
      hbox->Add(chart, 0);  

      Fit();
      SetMinSize(GetSize());
}
