#ifndef ACCOUNTPANEL_H
#define ACCOUNTPANEL_H

#include <wx/wx.h>
#include <wx/grid.h>
#include <wx/treectrl.h>
#include <wx/pie/pieplot.h>
#include <wx/chartpanel.h>

#include <controller/KissCount.h>
#include "wxUI.h"

class wxUI;
class KissCount;

class AccountPanel: public wxPanel
{
public:

  AccountPanel(KissCount* kiss, wxUI *parent);

private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxTreeCtrl _tree;
  wxGrid _grid;
  PiePlot* _pie;
};

#endif
