#ifndef WXUI_H
#define WXUI_H

#include <wx/wx.h>
#include "AccountPanel.h"
#include "ButtonPanel.h"
#include "UsersDialog.h"
#include <controller/KissCount.h>

class KissCount;
class AccountPanel;

class wxUI: public wxFrame
{
public:

  wxUI(KissCount* kiss, const wxString& title, const wxPoint& pos, const wxSize& size);
  ~wxUI();

    void OnQuit(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);

  void ChangeUser();
  void LoadUser();
  DECLARE_EVENT_TABLE();
  
private:
  wxBoxSizer   *_hbox;
  AccountPanel *_accountPanel;
  KissCount    *_kiss;
};

enum
{
    ID_Quit = 1,
    ID_About,
};

#endif
